<?
include ("header.php");
if (!empty($_GET))
            {
                
                $vdet_id = $_GET['vdet_id'];
                $id = $_GET['id'];
                $ven_id = $_GET['ven_id'];
           
           $sql="SELECT * FROM `venta_detalle` WHERE vdet_id= $vdet_id";
                $result = $mysqli->query($sql); 
                $row = $result->fetch_assoc();
                $pro_id=$row['vdet_pro_id'];
                
                   $consulta="DELETE FROM `venta_detalle` WHERE vdet_id='".$vdet_id."'";
                   
                   $stmt = $mysqli->prepare($consulta);
                   if ($stmt->execute()){
                   
                   
                      $sql="SELECT * FROM `productos` WHERE pro_id = $pro_id";
                $result = $mysqli->query($sql); 
                $row = $result->fetch_assoc();
                $cantidad=$row['pro_cantidad'];
                $pro_tipo=$row['pro_tipo'];                
                
                if ($pro_tipo == 'insumo')
                {

                $cantidad=$cantidad+1;
                    
                $consulta="UPDATE `productos` SET `pro_cantidad`='".$cantidad."' WHERE `pro_id`='".$pro_id."'";
                $stmt = $mysqli->prepare($consulta);
                if ($stmt->execute()){
                $guardado=1;
                }
                $ingreso='entrada';
                $numero='1';
                $fecha=date("Y-m-d");
                $observacion='Por eliminacion de venta Folio: ' . $ven_id;
                $consulta="INSERT INTO `inventario`(`inv_pro_id`,`inv_tipo`, `inv_cantidad`, `inv_fecha`, `inv_observacion`) VALUES('".$pro_id."','".$ingreso."', '".$numero."', '".$fecha."', '".$observacion."')";
                $stmt = $mysqli->prepare($consulta);
                if ($stmt->execute()){
					$guardado=1;
                    $textguardar='guardado';
			    }
                    
                }    
                   
                   
                   
                   
                   
                   
                   
                       
                   $guardado=1;
                   $textguardar='eliminado';
                   echo '<div class="content-wrapper">
                           <div class="alert alert-success " role="alert">
                               Registro eliminado con exito...
                           </div>
                           <a href="nventa.php?id='.$id.'&ven_id='.$ven_id.'" class="btn btn-primary" role="button" data-bs-toggle="button">Regresar</a>
                           <div class="page-content fade-in-up">';
                    include ("footer.php");
                       exit;
                   } 
                   else
                       $error=1;    
               
               
           }
?>